Developers
API ReferenceStream User

Retrieves the collection of StreamUser resources

GET
/stream/stream-users/{projectId}/active

Retrieves users that have been active in given project (at least one streamItem triggered)

Authorization<token>

Value for the Authorization header parameter.

In: header

Query Parameters

page?integer

The collection page number

Default1
itemsPerPage?integer

The number of items per page

Range0 <= value <= 100
Default30
pagination?boolean

Enable or disable pagination

search?string
jobPositionId?string
jobPositionId[]?array<string>
contractorId?string
contractorId[]?array<string>
id[]?array<string>
isExternal?boolean
canLogIn?boolean
excludeIds[]?array<string>
order[lastName]?string
Default"asc"

Value in

  • "asc"
  • "desc"
order[firstName]?string
Default"asc"

Value in

  • "asc"
  • "desc"

Response Body

curl -X GET "https://example.com/stream/stream-users/{projectId}/active"
[  {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "shortCode": "string",    "firstName": "string",    "lastName": "string",    "email": "string",    "pictureSm": "string",    "pictureLg": "string",    "contractorId": "8e641c22-41f4-4818-ae43-d2cb9b53e3d7",    "contractorName": "string",    "canLogIn": false,    "phoneNumber": "string",    "jobPositionName": "string"  }]